Skip to main content
POST
/
v1
/
payments
/
requests
Create a payment request
curl --request POST \
  --url https://api.sandbox.busha.so/v1/payments/requests \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "additional_info": {
    "email": "jsmith@example.com",
    "phone_number": "+2348012345678",
    "name": "John",
    "source": "web"
  },
  "source_currency": "BTC",
  "target_currency": "BTC",
  "quote_amount": "100",
  "quote_currency": "NGN",
  "source_amount": "100",
  "target_amount": "100",
  "reference": "busha-123"
}
'
{ "status": "success", "message": "message for success", "data": { "id": "bus_123456789", "type": "donation", "status": "pending", "source_amount": "100", "source_currency": "BTC", "target_amount": "100", "target_currency": "BTC", "requested_amount": "100", "currency": "BTC", "rate": { "product": "BTCUSDT", "rate_explained": "1 BTC = 1000 USDT", "source_currency": "BTC", "target_currency": "BTC", "rate": "100", "side": "sell", "type": "FIXED" }, "fees": [ { "name": "processing_fee", "amount": { "amount": "100", "currency": "BTC" }, "type": "FIXED", "converted_amount": { "amount": "100", "currency": "BTC" } } ], "reference": "<string>", "additional_info": { "email": "jsmith@example.com", "phone_number": "+2348012345678", "name": "John", "source": "web" }, "merchant_info": { "name": "busha", "email": "busha@me.com" }, "created_at": "2023-10-15T12:15:30Z", "updated_at": "2023-10-15T12:15:30Z", "expires_at": "2023-10-15T12:15:30Z", "pay_in": { "type": "address", "recipient_id": "64ae8c26ea1033204c805a8a", "address": "tb1qj4263506wyu8khrz2dwce0agk8lhyjgy269rxr", "network": "BTC", "memo": "address memo", "narration": "Payment for services", "payment_invoice_url": "https://example.com/invoice.pdf", "profile_id": "profile-id-1234", "recipient_details": { "account_name": "<string>", "bank_name": "<string>", "account_number": "<string>", "country_code": "NG", "provider": "<string>", "iban": "NG12345678901234567890", "currency": "<string>", "phone_number": "<string>", "name": "<string>", "email": "sbsbs@busha.co", "bank_code": "100020" }, "blockchain_hash": "31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171", "blockchain_url": "https://explorer.com/tx/31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171", "session_id": "31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171", "from_address": "31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171", "expires_at": "2023-10-15T12:15:30Z" }, "two_step": { "type": "authenticator", "message": "Enter your 2FA code to continue", "resend_allowed": false }, "source": "<string>", "source_id": "<string>", "timeline": { "total_steps": 123, "current_step": 123, "transfer_status": "<string>", "events": [ { "step": 1, "done": true, "status": "pending", "title": "Transfer started", "description": "Transfer started", "timestamp": "2023-10-15T12:15:30Z" } ] }, "quote_rate": { "product": "BTCUSDT", "rate_explained": "1 BTC = 1000 USDT", "source_currency": "BTC", "target_currency": "BTC", "rate": "100", "side": "sell", "type": "FIXED" } } }

Documentation Index

Fetch the complete documentation index at: https://docs.busha.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

X-BU-PUBLIC-KEY
string
Example:

"pub_uibaidu930ani"

Body

application/json
additional_info
object
required
source_currency
string<string>
required

A valid currency

Required string length: 1 - 10
Example:

"BTC"

target_currency
string<string>
required

A valid currency

Required string length: 1 - 10
Example:

"BTC"

quote_amount
string

decimal value

Example:

"100"

quote_currency
string<string>

This optional field specifies the fiat currency to display amounts in, which is converted from the source amount

Required string length: 1 - 10
Example:

"NGN"

source_amount
string

decimal value

Example:

"100"

target_amount
string

decimal value

Example:

"100"

pay_in
object
reference
string

reference for the payment request

Example:

"busha-123"

Response

Successful response

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object
required